import numpy as np
import matplotlib.pyplot as plt

# numpy direktno podrzava primenu elementarnih funkcija nad
# nd nizovima

# kreiramo ekvidistantnu podelu intervala 
# od [0,10] sa sto tacaka
x = np.linspace(0, 10, 100)
# i racunamo vrednosti elementarnih funkcija
x_2 = x**2
sqrt_x = np.sqrt(x)
exp_x = np.exp(x)
log_x = np.log(x)
sin_x = np.sin(x)
cos_x = np.cos(x)
tan_x = np.tan(x)
xsin_x = x*sin_x

plt.figure(1)
plt.plot(x,x_2,label="x^2")
plt.plot(x,sqrt_x,label="sqrt(x)")
plt.plot(x,exp_x,label="exp(x)")
plt.plot(x,log_x,label="log(x)")
plt.plot(x,xsin_x,label="x*sin(x)")

plt.title("Elementarne funkcije")
plt.xlabel("x")
plt.ylabel("f(x)")
plt.ylim([-2,8])
plt.grid()
plt.legend()

plt.figure(2)
plt.plot(x,sin_x,label="sin(x)")
plt.plot(x,cos_x,label="cos(x)")
plt.plot(x,tan_x,label="tan(x)")

plt.title("Elementarne funkcije")
plt.xlabel("x")
plt.ylabel("f(x)")
plt.ylim([-2,5])
plt.grid()
plt.legend()

plt.tight_layout()
plt.show()