import numpy as np
from matplotlib import pyplot as plt
# slucajni brojevi

# prvo kreiramo generator slucajnih brojeva
# podrazumevani generator daje slucajne brojeve iz intervala [0,1]
rng = np.random.default_rng()

# zatim niz slucajnih brojeva
a = rng.random(10)
print(a)

# zatim matricu slucajnih brojeva
a = rng.random((3,4))
print(a)

# mozemo jednostavno da kreiramo i slucajne brojeve iz skupa celih brojeva
# na primer, 5x5 matricu slucajnih brojeve iz intervala [0-9]
a = rng.integers(10, size=(5,5))
print(a)

# normalna raspodela
a = rng.normal(size=10000)
print(a.mean())
print(a.std())

# normalna raspodela sa m = 5, sigma = 2
b = rng.normal(5, 2, size=10000)
print(b.mean())
print(b.std())

# graficki prikaz
# mozemo da iskoristimo histogram za prikaz 
plt.figure(1)
plt.hist(a, bins=100, label="N(0,1)")
plt.axvline(0, color="red")
plt.hist(b, bins=100, label="N(5,2)")
plt.axvline(5, color="cyan")

# podesavanje grafika
plt.title("Normalna raspodela")
plt.legend()
plt.tight_layout()

# crtanje grafika
plt.show()